=== debian/control ===
Source: ros-one-cv-camera
Section: misc
Priority: optional
Maintainer: Takashi Ogura <t.ogura@gmail.com>
Build-Depends: debhelper (>= 9.0.0), libopencv-dev, ros-one-camera-info-manager, ros-one-catkin, ros-one-cv-bridge, ros-one-image-transport, ros-one-nodelet, ros-one-roscpp, ros-one-roslint, ros-one-rostest, ros-one-sensor-msgs
Homepage: http://wiki.ros.org/cv_camera
Standards-Version: 3.9.2

Package: ros-one-cv-camera
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libopencv-dev, ros-one-camera-info-manager, ros-one-cv-bridge, ros-one-image-transport, ros-one-nodelet, ros-one-roscpp, ros-one-sensor-msgs
Description: cv_camera uses OpenCV capture object to capture camera image.
 This supports camera_image and nodelet.
