## ros-one-cv-camera 0.6.0-2jammy.20260220.2336

=== debian/changelog ===
ros-one-cv-camera (0.6.0-2jammy.20260220.2336) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Takashi Ogura <t.ogura@gmail.com>  Fri, 20 Feb 2026 23:36:34 +0000
