## ros-one-cv-camera 0.6.0-2noble.20251023.0251

=== debian/changelog ===
ros-one-cv-camera (0.6.0-2noble.20251023.0251) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Takashi Ogura <t.ogura@gmail.com>  Thu, 23 Oct 2025 02:51:50 +0000

ros-one-cv-camera (0.6.0-0noble) noble; urgency=high

  * Adding MONO8 format if number of channels is 1
  * Contributors: Servando

 -- Takashi Ogura <t.ogura@gmail.com>  Tue, 06 Jul 2021 00:00:00 -0000

ros-one-cv-camera (0.5.0-0noble) noble; urgency=high

  * Use OpenCV 3.x+ enums instead of 2.x defines (#28)
  * Allow specifying camera name for camera_info_manager (#26)
    I think this is reasonable. Thanks.
  * Contributors: Alexey Rogachevskiy

 -- Takashi Ogura <t.ogura@gmail.com>  Sat, 30 May 2020 00:00:00 -0000

ros-one-cv-camera (0.4.0-0noble) noble; urgency=high

  * Update for Melodic release
    Use libopencv-dev instead of opencv3
  * Add link to ROS2 fork
  * Improve README.md style
  * Add capture_delay parameter
  * Fix rescaling coefficient calculation (#15)
  * Remove mail address of contributors
  * Fix topic names
    Before this change, /image_raw, /camera_info is published.
    But that is not designed. As in README.md, it publishes
    ~image_raw, ~camera_info, that means it contains node name
    as prefix. This is broken so long time ago, (and test was
    failing.)
  * Add contributers in README
  * Format code
  * Automatic rescaling camera info with rescale_camera_info parameter (#10) (#13)
  * update to use non deprecated pluginlib macro (#9)
  * Contributors: Mikael Arguedas, Oleg Kalachev, Takashi Ogura

 -- Takashi Ogura <t.ogura@gmail.com>  Wed, 08 May 2019 00:00:00 -0000

ros-one-cv-camera (0.3.0-0noble) noble; urgency=high

  * Update README.md
  * Add device_path support (#8 <https://github.com/OTL/cv_camera/issues/8>)
    * Add device_path support
  * Contributors: Maurice Meedendorp, Takashi Ogura

 -- Takashi Ogura <t.ogura@gmail.com>  Tue, 03 Oct 2017 00:00:00 -0000

ros-one-cv-camera (0.2.1-0noble) noble; urgency=high

  * use OpenCV3
  * rostest is optional

 -- Takashi Ogura <t.ogura@gmail.com>  Fri, 05 May 2017 00:00:00 -0000

ros-one-cv-camera (0.1.0-0noble) noble; urgency=high

  * Fix opencv2 to libopencv-dev
  * Contributors: Takashi Ogura

 -- Takashi Ogura <t.ogura@gmail.com>  Sat, 17 Oct 2015 00:00:00 -0000

ros-one-cv-camera (0.0.3-0noble) noble; urgency=high

  * Enable any prop code
  * Fix coding style using roslint
  * Support CV_CAP_PROP_* params
  * Contributors: Takashi Ogura

 -- Takashi Ogura <t.ogura@gmail.com>  Sat, 17 Oct 2015 00:00:00 -0000

ros-one-cv-camera (0.0.2-0noble) noble; urgency=high

  * rostest should be build_depend (for binary package build)
    see http://docs.ros.org/api/catkin/html/howto/rostest_configuration.html
    for more information.

 -- Takashi Ogura <t.ogura@gmail.com>  Fri, 08 Nov 2013 00:00:00 -0000

ros-one-cv-camera (0.0.1-0noble) noble; urgency=high

  * change behavior with calibration yaml.
    overwrite image size with yaml data if yaml is specified.
    if no calib is provided, use image size.
  * add offline mode and tests
  * use camera_info_manager for CameraInfo.
  * add parameters frame_id/image_width/image_height
  * ROS Camera node by cv::VideoCapture
  * Initial commit

 -- Takashi Ogura <t.ogura@gmail.com>  Thu, 07 Nov 2013 00:00:00 -0000
