## ros-one-cv-camera 0.6.0-2noble.20260220.2357

=== debian/changelog ===
ros-one-cv-camera (0.6.0-2noble.20260220.2357) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Takashi Ogura <t.ogura@gmail.com>  Fri, 20 Feb 2026 23:57:52 +0000
